<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.root-logger.ROOT" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="filter,filter-spec,handlers,level"/>
        <elem name="addr-params" value="profile,subsystem,root-logger"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.logger.ROOT"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.handler.$handlers" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter" nillable="true" stability="default"/>
        <param name="filter-spec" nillable="true" stability="default"/>
        <param name="level" nillable="true" stability="default"/>
        <param name="handlers" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="root-logger" feature-id="true" default="ROOT"/>
    </params>
</feature-spec>